Summary: GNOME Applications panel grouping applet
Name: quick-lounge-applet
Version: 2.0.1
Release: 1mdk
License: GPL
Group: Graphical desktop/GNOME
URL: http://quick-lounge.sourceforge.net/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
# (fc) 1.1.3-1mdk fix module filename
Patch0: quick-lounge-applet-1.1.3-module.patch.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libpanel-applet-devel
BuildRequires: automake1.7
BuildRequires: intltool

%description
The Quick Lounge applet is an applet for the GNOME Panel.
With this applet you can organize your preferred applications 
in a single place. You can add spaces between applications, they 
can be used to group together applications with similar tasks.

When the applet size exceeds the available space a menu containing the 
remaing launchers is created. The menu can be accessed pressing the arrow 
button located at the end of the applet. The menu displays spaces 
as separators.

%prep
%setup -q
%patch0 -p1 -b .module

#needed by patch0
aclocal-1.7
automake-1.7

%build

%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%find_lang %{name}

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.{la,a}



%clean
rm -rf $RPM_BUILD_ROOT

%post
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/quick-lounge.schemas > /dev/null

%preun
if [ "$1" = "0" ] ; then
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/quick-lounge.schemas > /dev/null
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc NEWS AUTHORS ChangeLog
%{_sysconfdir}/gconf/schemas/*
%{_libdir}/*.so
%{_libdir}/bonobo/servers/*
%{_datadir}/gnome-2.0/ui/*
%{_datadir}/pixmaps/*
%{_datadir}/quick-lounge


%changelog
* Mon Sep 22 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.0.1-1mdk
- new version

* Tue Jul 15 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.0.0-2mdk
- don't deinstall schemas on update

* Mon Jul  7 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.0.0-1mdk
- add schema uninstallation
- fix buildrequires
- new version

* Wed May  7 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.1.4-2mdk
- fix buildrequires, thanks to Stefan's bot

* Wed May 07 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.1.4-1mdk
- Release 1.1.4

* Fri Apr 25 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.1.3-2mdk
- Fix BuildRequires

* Fri Apr 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.1.3-1mdk
- Initial Mdk package.


